# Uses of Record Class
net.shibboleth.shared.security.DataSealerKeyStrategy.NamedKey

Packages that use DataSealerKeyStrategy.NamedKey
Package
Description
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.

## Uses of DataSealerKeyStrategy.NamedKey in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that return DataSealerKeyStrategy.NamedKey
Modifier and Type
Method
Description
`default DataSealerKeyStrategy.NamedKey`
DataSealerKeyStrategy.`getDefaultKeyRecord()`
Get an immutable record of the default named key.

## Uses of DataSealerKeyStrategy.NamedKey in net.shibboleth.shared.security.impl

Methods in net.shibboleth.shared.security.impl that return DataSealerKeyStrategy.NamedKey
Modifier and Type
Method
Description
`DataSealerKeyStrategy.NamedKey`
BasicKeystoreKeyStrategy.`getDefaultKeyRecord()`
Get an immutable record of the default named key.
`DataSealerKeyStrategy.NamedKey`
ScriptedKeyStrategy.`getDefaultKeyRecord()`
Get an immutable record of the default named key.